## scummvm 1.4.1~pre0039.g7d630d6

=== backends/platform/maemo/debian/changelog ===
scummvm (1.4.1~pre0039.g7d630d6) UNRELEASED; urgency=low

  * development snapshot

 -- Tarek Soliman <tsoliman@scummvm.org>  Sun, 04 Dec 2011 21:26:52 -0600
