=== debian/changelog ===
scummvm (1.4.1-1) unstable; urgency=low

  * New upstream release
  * Install translations.dat into scummvm-data	

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 14 Jan 2012 11:39:15 +0100

scummvm (1.4.0-1) unstable; urgency=low

  * New upstream release
    - Fixes script bug in "Beneath a Steel Sky" (Closes: #462595)
  * Remove Build-Conflicts on liboss-salsa-dev and disable ALSA on
    kfreebsd (Closes: #647124)
  * Bump debhelper level to 9, which enables default build flags
    and thus hardened compiler flags	

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 05 Nov 2011 10:29:43 +0100

scummvm (1.3.1-1) unstable; urgency=low

  * New upstream release

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 04 Jul 2011 19:07:04 +0200
