## scummvm 1.5.0~pre0032.ga001394

=== backends/platform/maemo/debian/changelog ===
scummvm (1.5.0~pre0032.ga001394) UNRELEASED; urgency=low

  * development snapshot

 -- Tarek Soliman <tsoliman@scummvm.org>  Wed, 18 Jul 2012 20:36:02 -0500

scummvm (1.4.1) unstable; urgency=low

  * 1.4.1 release

 -- Tarek Soliman <tsoliman@scummvm.org>  Wed, 11 Jan 2012 17:17:26 -0600
