## scummvm 1.5.0~pre0032.ga001394.1

=== backends/platform/maemo/debian/changelog ===
scummvm (1.5.0~pre0032.ga001394.1) UNRELEASED; urgency=low

  * development snapshot

 -- Tarek Soliman <tsoliman@scummvm.org>  Wed, 18 Jul 2012 21:07:06 -0500
