## scummvm 1.5.0

=== backends/platform/maemo/debian/changelog ===
scummvm (1.5.0) unstable; urgency=low

  * 1.5.0 release

 -- Tarek Soliman <tsoliman@scummvm.org>  Fri, 20 Jul 2012 14:48:44 -0500
