=== backends/platform/maemo/debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 scummvm:
 	dh_testdir
-	./configure --host=maemo
-	$(MAKE) -j4
+	./configure --host=maemo --enable-release
+	$(MAKE)
 
 clean:
 	dh_testdir
