## scummvm 1.5.0+dfsg

=== debian/changelog ===
scummvm (1.5.0+dfsg-1) unstable; urgency=low

  [ Dmitry Smirnov ]
  * New upstream release [July 2012].
  * xz compression for .deb files and debian source.
  * debhelper to version 9.
  * Standards to 3.9.4.
  * Built-Using field for scummvm-data to document bundled fonts.
  * Build-Depends:
    + alphabetising and sorting.
    + added "fonts-freefont-ttf" and "zip" to facilitate substitution
      of font files and theme re-compression.
    + introduced "autotools_dev".
  * Added Vcs links.
  * Tightened relationships with "scummvm-data (= ${source:Version})".
  * lintianisation: removed tabs from package description.
  * Added commented scummvm-dbg package.
  * debian/rules:
    + optimisation.
    + enabled parallel build.
    + increased log verbosity with "--enable-verbose-build".
    + install upstream changelog.
    + gracefully handle stripping if -dbg package is
      (un-)commented in debian/control.
    + re-compress scummmodern.zip and replace bundled fonts from
      fonts-freefont-ttf.
    + added "get-orig-source" target for DFSG-repackaging and removing
      non-free fonts.
    + fixed FTBFS on GNU Hurd.
  * debian/copyright:
    + to copyright-format-1.0.
    + audit of upstream copyrights/licenses.
  * Dropped obsolete patch "debian-changes-1.0.0-1".
  * Dropped empty directories.
  * Moved .desktop file to the main package, added breaks/replaces
  * Added README.source with notes regarding DFSG concerns.
  * Added debian/watch.
  * Added myself to Uploaders.

  [ Markus Koschany ]
  * Update package description. Suggest new ScummVM games Drascula and
    Lure of the Temptress.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 05 May 2013 20:46:54 +1000
