=== debian/changelog ===
scummvm (1.6.0+dfsg-3) unstable; urgency=medium

  * Touch "config.mk" before dh_auto_clean to fix FTBFS (Closes: #718164).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 30 Jul 2013 17:05:40 +1000

scummvm (1.6.0+dfsg-2) unstable; urgency=low

  * New patches to produce working executables on kFreeBSD and Hurd:
    + [hurd+kfreebsd] to build on Hurd & kFreeBSD (Closes: #711320);
      thanks to Petr Salinger.
    + [posix] to fix FTBFS in timidity on GNU Hurd.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 07 Jun 2013 18:40:21 +1000

scummvm (1.6.0+dfsg-1) unstable; urgency=low

  * New upstream release [May 2013].
  * Added "libtheora-dev" to Build-Depends.
  * get-orig-source: minor repacking improvement to produce identical
    archives.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 02 Jun 2013 19:09:54 +1000
