=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
               ,libmad0-dev
               ,libmpeg2-4-dev
               ,libsdl1.2-dev
+              ,libtheora-dev
               ,libvorbis-dev
               ,libz-dev
               ,nasm [i386]
