=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,11 @@
 ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
 OPTARGS:= --disable-alsa
 endif
+
+override_dh_auto_clean:
+	##718164 "FTBFS: Makefile:87: *** You need to run ./configure before you can run make".
+	[ -f config.mk ] || touch config.mk
+	dh_auto_clean
 
 override_dh_auto_configure:
 	./configure \
@@ -63,10 +68,12 @@
 	@echo "# Clean-up..."
 	cd $(PKG)-$(VER) \
         && $(RM) -r -v \
+             .*DS_Store                \
              gui/themes/fonts/topaz    \
              gui/themes/fonts/Arial*   \
              */*/*/*/*.o*              \
              */*/*/*.dll
 	@echo "# Packing..."
-	tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
+	find -L "$(PKG)-$(VER)" -xdev -type f -print \
+        | sort | XZ_OPT="-7v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
         && $(RM) -r "$(PKG)-$(VER)"
