## scummvm 1.6.0+dfsg-3+7.0trisquel1

=== debian/changelog ===
scummvm (1.6.0+dfsg-3+7.0trisquel1) belenos; urgency=medium

  * Removed references to non-free software, fixes 7344

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 23 Nov 2014 23:34:32 +0100
