=== debian/control ===
Source: scummvm
Section: games
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: David Weinehall <tao@debian.org>
          ,Moritz Muehlenhoff <jmm@debian.org>
          ,Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev
              ,fonts-freefont-ttf
              ,libasound2-dev [linux-any]
              ,libflac-dev
              ,libfluidsynth-dev
              ,libmad0-dev
              ,libmpeg2-4-dev
              ,libsdl1.2-dev
              ,libtheora-dev
              ,libvorbis-dev
              ,libz-dev
              ,nasm [i386]
              ,python
              ,zip
Standards-Version: 3.9.4
Homepage: http://www.scummvm.org
Vcs-Git: git://anonscm.debian.org/pkg-games/scummvm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/scummvm.git

Package: scummvm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, scummvm-data (= ${source:Version})
Suggests: fluidsynth | timidity, beneath-a-steel-sky, drascula, flight-of-the-amazon-queen, lure-of-the-temptress
Replaces: scummvm-data (<< 1.5.0-1)
Breaks: scummvm-data (<< 1.5.0-1)
Description: engine for several graphical adventure games
 ScummVM is a virtual machine for several classic graphical
 point-and-click adventure games like beneath-a-steel-sky
 and flight-of-the-amazon-queen.

Package: scummvm-data
Architecture: all
Built-Using: ${my:Built-Using}
Depends: ${misc:Depends}
Replaces: scummvm (<< 1.0.0-3)
Description: engine for several graphical adventure games (data files)
 ScummVM is a virtual machine for several classic graphical
 point-and-click adventure games like beneath-a-steel-sky
 and flight-of-the-amazon-queen.
 .
 These packages provides data files needed to run some engines supported by
