=== debian/changelog ===
scummvm (1.7.0+dfsg-2ubuntu1) xenial; urgency=medium

  * debian/scummvm-data.install:
    - Corrected icons installation path (LP: #1559449)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 29 Mar 2016 15:52:40 +1300

scummvm (1.7.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add disable-arm-asm.patch.
    Fix a crash and segmentation fault on ARM systems by disabling asm
    optimizations.
    Thanks to Konstantinos Margaritis <markos@freevec.org> for the report
    and patch and Vagrant Cascadian for further testing.
    (Closes: #779029)

 -- Markus Koschany <apo@gambaru.de>  Sat, 28 Feb 2015 18:50:52 +0100

scummvm (1.7.0+dfsg-1) unstable; urgency=low

  * New upstream release [July 2014].
    - remove old/obsolete patches.
    + added new "drop1test.patch" to disable problematic test.
    + build with "--disable-eventrecorder" to avoid FTBFS in tests.
    + added "libjpeg-dev" and "libfaad-dev" to Build-Depends.
  * Install all arch-independent files (themes, game data, etc.).
  * Build-time re-compression of "classic" theme.
  * Added "debian/gbp.conf".
  * Standards-Version to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Aug 2014 00:50:36 +1000
