=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 override_dh_auto_configure:
 	./configure \
             --datadir=/usr/share/scummvm \
+            --disable-eventrecorder \
             --enable-release \
             --enable-verbose-build \
             --prefix=/usr $(OPTARGS)
@@ -31,6 +32,8 @@
 	for F in $(FPATH)/Free*.ttf; do cp -v /usr/share/fonts/truetype/freefont/$$(basename $${F}) $(FPATH)/ ;done
 	## re-compressing "modern" theme...
 	cd $(FPATH) && zip -9 ../scummmodern.zip -r .
+	## re-compressing "classic" theme...
+	cd gui/themes/scummclassic && zip -9 ../scummclassic.zip -r .
 	## build executable(s)...
 	dh_auto_build
