## scummvm 1.8.1+dfsg

=== debian/changelog ===
scummvm (1.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release [May 2016].
  * Standards-Version: 3.9.8.
  * Removed obsolete "format-security.patch".
  * Build-Depends:
    + libfreetype6-dev
    + libpng-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Jun 2016 00:28:50 +1000

scummvm (1.8.0+dfsg-1) unstable; urgency=low

  * New upstream release [March 2016].

  [ Alexandre Detiste ]
  * Use HTTPS for Vcs URLs.
  * Standards-Version: 3.9.7.
  * Watch "http://scummvm.org/downloads/" for releases.

  [ Dmitry Smirnov ]
  * Corrected icons installation path (Closes: #778687)
  * Update watch file to v4; use copyright/Files-Exclided;
    simplified rules/get-orig-source.
  * watch: check GitHub for releases.
  * Removed .menu file.
  * Fixed in new upstream release 1.8.0:
    + Spelling mistake in Spanish translation of Lure of the Temptress:
      "obsevar" -> "observar" has been fixed upstream (Closes: #805215).
  * clean: remove "config.mk".
  * Removed obsolete "drop1test.patch".
  * Switch to libsdl2 (Closes: #807710):
    + New "libsdl2.patch" to find "sdl2-config";
    + Build-Depends:
      - libsdl1.2-dev
      + libsdl2-dev | libsdl1.2-dev
  * Added "format-security.patch" to fix FTBFS.
  * Build with full hardening.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 15 Mar 2016 10:07:19 +1100
