=== debian/control ===
--- 
+++ 
@@ -11,20 +11,22 @@
               ,libfaad-dev
               ,libflac-dev
               ,libfluidsynth-dev
+              ,libfreetype6-dev
               ,libjpeg-dev
               ,libmad0-dev
               ,libmpeg2-4-dev
-              ,libsdl1.2-dev
+              ,libpng-dev
+              ,libsdl2-dev | libsdl1.2-dev
               ,libtheora-dev
               ,libvorbis-dev
               ,libz-dev
               ,nasm [i386]
               ,python
               ,zip
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://www.scummvm.org
-Vcs-Git: git://anonscm.debian.org/pkg-games/scummvm.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/scummvm.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/scummvm.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/scummvm.git
 
 Package: scummvm
 Architecture: any
