## scummvm 1.9.0+dfsg

=== debian/changelog ===
scummvm (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2016].
  * Removed obsolete "libsdl2.patch".
  * Removed traces of -dbg package.
  * Build reproducibly (Closes: #827145)
    Thanks, Reiner Herrmann.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 11 Nov 2016 23:17:07 +1100
