=== debian/changelog ===
scummvm (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release, merging all patches. Closes: #886317.
  * Use pkg-config to find FreeType 2. Closes: #892447.
  * Remove convert_utf.* and disable Wintermute, the files are not
    DFSG-free.
  * Add myself as uploader.

 -- Stephen Kitt <skitt@debian.org>  Sun, 11 Mar 2018 22:56:27 +0100

scummvm (1.9.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Avoid disabling -Wformat, which causes a build failure with GCC 7.
    Closes: #871161.

 -- Stephen Kitt <skitt@debian.org>  Thu, 10 Aug 2017 12:05:39 +0200
